Kerbal Space Program - Bug #5213

Right Ctrl and Shift keys can't be used in VAB/SPH
07/05/2015 11:09 AM - tirbelain

Status: Closed Start date: 07/05/2015
Severity: Low % Done: 100%
Assignee:

Category: Controls and Ul

Target version:

Version: 1.0.2 Language: English (US)
Platform: Win32 Mod Related: No
Expansion:

Description

Actual behavior: Building a craft in VAB/SPH does not support the right Ctrl and Shift keys to perform Undo/Redo or grabbing the
entire craft.

Expected behavior: the left and right Ctrl and Shift keys both support the mentioned actions. While the 'grab whole craft' using Shift is
KSP specific, the Ctrl-Z/Ctrl-Y Undo/Redo functionality is common to most programs nowadays and should behave as a user would
expect it.

History

#1 - 07/27/2015 05:58 PM - Squelch
- Platform Win32 added
- Platform deleted (Windows)

#2 - 07/17/2016 09:34 AM - TriggerAu

- Status changed from New to Needs Clarification

#3 - 08/14/2016 07:32 AM - TriggerAu
- Status changed from Needs Clarification to Closed

- % Done changed from 0 to 100

Closing this report out for now. If you find it is still occuring in the latest version of KSP please open a new report (and this one can be linked to it.) For
best results, the wiki contains really useful info for when creating a report http:/bugs.kerbalspaceprogram.com/projects/ksp/wiki.

You can also ask questions about the bug cleanup in the forum here:
http://forum.kerbalspaceprogram.com/index.php?/topic/143980-time-to-clean-up-the-bug-tracker/ and tag @TriggerAu to get my attention
